gtk.GammaCurve
Prev | The gtk Class Reference | Next

## gtk.GammaCurve

gtk.GammaCurve — subclass of `gtk.Curve` for editing gamma curves.

## Synopsis

    class gtk.GammaCurve(gtk.VBox):
        gtk.GammaCurve()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Box
              +-- gtk.VBox
                +-- gtk.GammaCurve

## Implemented Interfaces

`gtk.GammaCurve` implements `gtk.Buildable`

## gtk.GammaCurve Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Box Properties

## gtk.GammaCurve Style Properties

gtk.Widget Style Properties

## gtk.GammaCurve Child Properties

gtk.Box Child Properties

## Attributes

"table" | Read | The `gtk.Table` containing the `gtk.GammaCurve` widgets.
"curve" | Read | The `gtk.Curve` widget.
"gamma" | Read | The gamma value (float)
"gamma_dialog" | Read | The `gtk.Dialog` that prompts for the gamma value.
"gamma_text" | Read | The `gtk.Entry` containing the gamma value in the gamma dialog

## gtk.GammaCurve Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

## Description

### Note

This widget is considered too specialized or little-used for PyGTK, and will in the future be moved to some other package. If your application needs this widget, feel free to use it, as the widget does work and is useful in some applications; it's just not of general interest. However, it will eventually move out of the PyGTK distribution.

The `gtk.GammaCurve` widget is a variant of `gtk.Curve` specifically for editing gamma curves, which are used in graphics applications such as the Gimp. The `gtk.GammaCurve` widget shows a curve which the user can edit with the mouse just like a `gtk.Curve` widget. On the right of the curve it also displays 5 buttons, 3 of which change between the 3 curve modes (spline, linear and free), and the other 2 set the curve to a particular gamma value, or reset it to a straight line.

## Constructor

        gtk.GammaCurve()

Returns : | a new gammacurve widget

Creates a new `gtk.GammaCurve` widget.

Prev | Up | Next
gtk.Frame | Home | gtk.GenericCellRenderer